Class | Iconv
In: | lib/gettext/core_ext/iconv.rb
Parent: | Object

Pseudo Iconv class

#### For Matz Ruby:

If you don’t have iconv but Ruby/GLib2, this library uses Ruby/GLib2’s iconv functions.

Ruby/GLib is a module which is provided from Ruby-GNOME2 Project. You can get binaries for Win32(One-Click Ruby Installer). ruby-gnome2.sourceforge.jp/>

#### For JRuby:

Use Java String class to convert strings.

### Methods

conv conv iconv

### Classes and Modules

Module Iconv::Failure
Class Iconv::IllegalSequence
Class Iconv::InvalidCharacter
Class Iconv::InvalidEncoding

### Public Class methods

conv(to, from, str)
conv(to, from, str)

This is a function equivalent of Iconv.iconv.

- to: encoding name for destination
- from: encoding name for source
- str: strings to be converted
- Returns: Returns an Array of converted strings.

iconv(to, from, str)

[Validate]